Author: jason.greene(a)jboss.com
Date: 2008-01-16 17:51:48 -0500 (Wed, 16 Jan 2008)
New Revision: 5154
Added:
pojo/branches/2.1/src/main/release/bin/
pojo/branches/2.1/src/main/release/bin/pojo-run
Removed:
pojo/branches/2.1/src/main/release/bin/pojo-run
Modified:
pojo/branches/2.1/assembly/all.xml
pojo/branches/2.1/assembly/bin.xml
Log:
Merge 4859 and 4860
Modified: pojo/branches/2.1/assembly/all.xml
===================================================================
--- pojo/branches/2.1/assembly/all.xml 2008-01-16 22:46:23 UTC (rev 5153)
+++ pojo/branches/2.1/assembly/all.xml 2008-01-16 22:51:48 UTC (rev 5154)
@@ -46,12 +46,14 @@
<fileSet>
<directory>src/main/release</directory>
<outputDirectory/>
- <includes>
- <include>**/*.txt</include>
- <include>**/*.xml</include>
- </includes>
</fileSet>
+ <fileSet>
+ <directory>src/main/release/bin</directory>
+ <outputDirectory>bin</outputDirectory>
+ <fileMode>0755</fileMode>
+ </fileSet>
+
<!-- docs -->
<fileSet>
<directory>target/site/apidocs</directory>
Modified: pojo/branches/2.1/assembly/bin.xml
===================================================================
--- pojo/branches/2.1/assembly/bin.xml 2008-01-16 22:46:23 UTC (rev 5153)
+++ pojo/branches/2.1/assembly/bin.xml 2008-01-16 22:51:48 UTC (rev 5154)
@@ -27,12 +27,14 @@
<fileSet>
<directory>src/main/release</directory>
<outputDirectory/>
- <includes>
- <include>**/*.txt</include>
- <include>**/*.xml</include>
- </includes>
</fileSet>
+ <fileSet>
+ <directory>src/main/release/bin</directory>
+ <outputDirectory>bin</outputDirectory>
+ <fileMode>0755</fileMode>
+ </fileSet>
+
</fileSets>
<dependencySets>
<dependencySet>
Copied: pojo/branches/2.1/src/main/release/bin (from rev 4860,
pojo/trunk/src/main/release/bin)
Deleted: pojo/branches/2.1/src/main/release/bin/pojo-run
===================================================================
--- pojo/trunk/src/main/release/bin/pojo-run 2007-12-14 04:58:12 UTC (rev 4860)
+++ pojo/branches/2.1/src/main/release/bin/pojo-run 2008-01-16 22:51:48 UTC (rev 5154)
@@ -1,75 +0,0 @@
-#!/bin/sh
-DIRNAME=`dirname $0`
-POJO_HOME=`cd $DIRNAME/..; pwd`
-
-if [ $# -lt 1 ]; then
- echo Utility which executes the JVM with properties needed by POJO Cache for load-time
instrumentation.
- echo
- echo Usage:
- echo "pojo-run [-classpath <classpath>] <main-class> [arguments...]
"
- echo " classpath: Classpath of your sourcefiles and all required
libraries"
- echo " main-class: Normal Java main class"
- echo
- echo Example:
- echo " pojo-run -classpath myclasses org.foo.Main"
- exit 1
-fi
-
-cygwin=false;
-case "`uname`" in
- CYGWIN*)
- cygwin=true
- ;;
-esac
-
-AOP_FILE="pojocache-aop.xml"
-AOP_PATH="$POJO_HOME/$AOP_FILE"
-
-if [ ! -f "$AOP_PATH" ]; then
- AOP_PATH="$POJO_HOME/etc/META-INF/$AOP_FILE"
-
- if [ ! -f "$AOP_PATH" ]; then
- echo "Could not locate pojocache-aop.xml in $POJO_HOME or
$POJO_HOME/etc/META-INF"
- exit 1
- fi
-fi
-
-POJO_CLASSPATH=.:$POJO_HOME/jbosscache-pojo.jar
-
-for i in $POJO_HOME/lib/*.jar
-do
- POJO_CLASSPATH="$POJO_CLASSPATH:${i}"
-done
-
-while [ $# -ge 1 ]; do
- case $1 in
- "-classpath") POJO_CLASSPATH="$POJO_CLASSPATH:$2"; shift;;
- *) args="$args \"$1\""; echo $1;;
- esac
- shift
-done
-
-
-#Check for cygwin and convert path if necessary
-if $cygwin; then
- POJO_CLASSPATH=`cygpath --path --windows $POJO_CLASSPATH`
-fi
-
-# Setup the JVM
-if [ "x$JAVA" = "x" ]; then
- if [ "x$JAVA_HOME" != "x" ]; then
- JAVA="$JAVA_HOME/bin/java"
- else
- JAVA="java"
- fi
-fi
-
-#JPDA options. Uncomment and modify as appropriate to enable remote debugging .
-#JAVA_OPTS="-classic -Xdebug -Xnoagent -Djava.compiler=NONE
-Xrunjdwp:transport=dt_socket,address=8787,server=y,suspend=n $JAVA_OPTS"
-
-# Execute the JVM
-eval "$JAVA" $JAVA_OPTS \
- -javaagent:"$POJO_HOME/lib/jboss-aop.jar" \
- -Djboss.aop.path="$AOP_PATH" \
- -classpath "$POJO_CLASSPATH" \
- "$args"
Copied: pojo/branches/2.1/src/main/release/bin/pojo-run (from rev 4860,
pojo/trunk/src/main/release/bin/pojo-run)
===================================================================
--- pojo/branches/2.1/src/main/release/bin/pojo-run (rev 0)
+++ pojo/branches/2.1/src/main/release/bin/pojo-run 2008-01-16 22:51:48 UTC (rev 5154)
@@ -0,0 +1,75 @@
+#!/bin/sh
+DIRNAME=`dirname $0`
+POJO_HOME=`cd $DIRNAME/..; pwd`
+
+if [ $# -lt 1 ]; then
+ echo Utility which executes the JVM with properties needed by POJO Cache for load-time
instrumentation.
+ echo
+ echo Usage:
+ echo "pojo-run [-classpath <classpath>] <main-class> [arguments...]
"
+ echo " classpath: Classpath of your sourcefiles and all required
libraries"
+ echo " main-class: Normal Java main class"
+ echo
+ echo Example:
+ echo " pojo-run -classpath myclasses org.foo.Main"
+ exit 1
+fi
+
+cygwin=false;
+case "`uname`" in
+ CYGWIN*)
+ cygwin=true
+ ;;
+esac
+
+AOP_FILE="pojocache-aop.xml"
+AOP_PATH="$POJO_HOME/$AOP_FILE"
+
+if [ ! -f "$AOP_PATH" ]; then
+ AOP_PATH="$POJO_HOME/etc/META-INF/$AOP_FILE"
+
+ if [ ! -f "$AOP_PATH" ]; then
+ echo "Could not locate pojocache-aop.xml in $POJO_HOME or
$POJO_HOME/etc/META-INF"
+ exit 1
+ fi
+fi
+
+POJO_CLASSPATH=.:$POJO_HOME/jbosscache-pojo.jar
+
+for i in $POJO_HOME/lib/*.jar
+do
+ POJO_CLASSPATH="$POJO_CLASSPATH:${i}"
+done
+
+while [ $# -ge 1 ]; do
+ case $1 in
+ "-classpath") POJO_CLASSPATH="$POJO_CLASSPATH:$2"; shift;;
+ *) args="$args \"$1\""; echo $1;;
+ esac
+ shift
+done
+
+
+#Check for cygwin and convert path if necessary
+if $cygwin; then
+ POJO_CLASSPATH=`cygpath --path --windows $POJO_CLASSPATH`
+fi
+
+# Setup the JVM
+if [ "x$JAVA" = "x" ]; then
+ if [ "x$JAVA_HOME" != "x" ]; then
+ JAVA="$JAVA_HOME/bin/java"
+ else
+ JAVA="java"
+ fi
+fi
+
+#JPDA options. Uncomment and modify as appropriate to enable remote debugging .
+#JAVA_OPTS="-classic -Xdebug -Xnoagent -Djava.compiler=NONE
-Xrunjdwp:transport=dt_socket,address=8787,server=y,suspend=n $JAVA_OPTS"
+
+# Execute the JVM
+eval "$JAVA" $JAVA_OPTS \
+ -javaagent:"$POJO_HOME/lib/jboss-aop.jar" \
+ -Djboss.aop.path="$AOP_PATH" \
+ -classpath "$POJO_CLASSPATH" \
+ "$args"
Show replies by date